"""
IPTV Playlist Generator Scripts Package
Modular components for playlist generation and management.
"""

__version__ = "2.0.0"
__author__ = "IPTV Playlist Generator"

# Import main classes for easier access
from .config_manager import ConfigManager
from .channel_processor import ChannelProcessor
from .file_manager import FileManager
from .playlist_builder import PlaylistBuilder
from .health_checker import HealthChecker
from .report_generator import ReportGenerator

__all__ = [
    'ConfigManager',
    'ChannelProcessor', 
    'FileManager',
    'PlaylistBuilder',
    'HealthChecker',
    'ReportGenerator'
]